## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
SAVEPOINT sp9494;
BEGIN IMMEDIATE;
-- PRAGMA vdbe_debug = 1;

ATTACH DATABASE ':memory:' AS aux69;
ATTACH DATABASE ':memory:' AS aux35;
PRAGMA foreign_keys=ON;
    CREATE TABLE t1(x INTEGER PRIMARY KEY);
    INSERT INTO t1 VALUES(json_array_length(-(-((100 + 0))), '$.nonexistent'));
    INSERT INTO t1 VALUES(101);
    CREATE TABLE t2(y INTEGER REFERENCES t1 (x));
    INSERT INTO t2 VALUES(100);
    INSERT INTO t2 VALUES(101);
    SELECT 1, x FROM t1;
    SELECT 2, y FROM t2;

WITH cte AS (SELECT y, COUNT(*) AS cnt FROM t2 GROUP BY y) SELECT * FROM cte;
CREATE UNIQUE  INDEX IF NOT EXISTS idx_t2_6036 ON t2(y) WHERE NOT NOT (NOT y IS NOT NULL) ;
SELECT * FROM t1 WHERE x IN (SELECT x FROM t1 t2 WHERE t2.x = t1.x);
WITH a AS (SELECT * FROM t2), b AS (SELECT * FROM a) SELECT * FROM b;
DROP INDEX IF EXISTS t1;
DELETE FROM t1 WHERE 0;
DETACH DATABASE aux35;
CREATE TRIGGER IF NOT EXISTS trg_t1_148 BEFORE INSERT ON t1 FOR EACH ROW BEGIN SELECT RAISE(FAIL, 'no'); END;
CREATE TRIGGER IF NOT EXISTS trg_t2_6723 AFTER UPDATE ON t2 FOR EACH ROW BEGIN INSERT INTO t2(y) VALUES (NULL); END;
INSERT INTO t2 SELECT * FROM t2;
CREATE UNIQUE  INDEX IF NOT EXISTS idx_t1_4672 ON t1(x COLLATE NOCASE) WHERE x > 0;
PRAGMA cell_size_check = ON;
SELECT COUNT(*) FILTER (WHERE x IS NOT NULL), SUM(rowid) FILTER (WHERE x > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(x) FILTER (WHERE x > 0 AND x < 100), COUNT(*) FILTER (WHERE typeof(x) = "text") FROM t1;
DETACH DATABASE aux69;
SELECT MIN(x) FROM t1;
REINDEX;
WITH cte(x, y) AS (VALUES(1,2),(3,4),(5,6)) SELECT * FROM cte;
VACUUM main;
COMMIT TRANSACTION;
INSERT INTO t2 VALUES ('x') ON CONFLICT(y) DO UPDATE SET y = excluded.y;
RELEASE sp9494;
DELETE FROM t2 WHERE y > (SELECT AVG(y) FROM t2);
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

